Skip to content
extensions / Commerce extension
GET/__runtime/user/rma

List RMA

Lists the authenticated customer's return (RMA) requests with pagination and optional search.

GETPOST

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • Requires an authenticated storefront session.

Headers

NameRequiredTypeDetails
CookieYesNot specified
Description: Value used by this operation.
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

Query Parameters

NameRequiredTypeDetails
project_idYesinteger
Description: Target project identifier.
pageNointeger
Description: Page number for paginated results.
per_pageNointeger
Description: Maximum number of records to return.
qNostring
Description: Search text used by this operation.

Request Body

Response Body

Example 200 response

json
{
  "items": [],
  "total": 1,
  "page": 1,
  "per_page": 1,
  "total_pages": 1
}

Errors

400 BAD_REQUEST401 UNAUTHORIZED500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified